package jadex.adapter.jade.tools.logger.gui;


import java.awt.*;


/**
 * resize all columns in logtable
 */
public class ResizeAllColumnsAction extends FixedAction
{

    private MainPanel mainPanel;
    private Font font = new Font("Helvetica", Font.ITALIC, 12);

    public ResizeAllColumnsAction(ActionProcessor actPro, MainPanel mainPanel)
    {
        super("ResizeAllColumnsActionIcon", "Resize all columns", actPro);
        this.mainPanel = mainPanel;
    }

    public void doAction()
    {
        mainPanel.logTable.resizeAllColumns();
    }


}
