package jadex.adapter.jade.tools.logger.gui;


import javax.swing.*;
import java.awt.*;


/**
 * enable/disable the filter
 */
public class ToggleDisplayingAction extends ButtonAction
{

    private MainPanel mainPanel;
    private Font font = new Font("Helvetica", Font.ITALIC, 12);

    public ToggleDisplayingAction(ActionProcessor actPro, MainPanel mainPanel)
    {
        super("PauseDisplayingActionIcon", "Pause Displaying", actPro);
        this.mainPanel = mainPanel;
    }

    public void doAction(AbstractButton button)
    {
        JToggleButton tb = (JToggleButton) button;
        if (tb.isSelected())
        {
            tb.setToolTipText("Resume Displaying");
            mainPanel.logTable.setStopDisplaying(true);
        }
        else
        {
            tb.setToolTipText("Pause Displaying");
            mainPanel.logTable.setStopDisplaying(false);
            mainPanel.logTable.refresh();

        }
    }

}
